package cn.stylefeng.team.form.modular.manage.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.team.form.api.entity.FormDefinition;
import cn.stylefeng.team.form.modular.manage.request.FormDefinitionRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface FormDefinitionService extends IService<FormDefinition> {

    void add(FormDefinitionRequest formDefinitionRequest);

    void del(FormDefinitionRequest formDefinitionRequest);

    void edit(FormDefinitionRequest formDefinitionRequest);

    FormDefinition detail(Long definitionId);

    List<FormDefinition> findList(FormDefinitionRequest formDefinitionRequest);

    PageResult<FormDefinition> findPage(FormDefinitionRequest formDefinitionRequest);

    FormDefinition findModelNewestDefinition(Long formModelId);

}